<?php

namespace Modules\User\Enums;


Enum UserRoleEnum: string
{
    case SUPER_ADMIN = 'super_admin';

    case ADMIN = 'admin';

    case SUB_ADMIN = 'sub_admin';

    case USER = 'user';

    public static function admins()
    {
        return [
            Self::SUPER_ADMIN->value,
            Self::ADMIN->value,
            Self::SUB_ADMIN->value
        ];
    }
}
